#!/usr/bin/perl -w

use Win32::OLE;

my $dll = shift;
my $sc  = Win32::OLE->new("MSScriptControl.ScriptControl")
    or die "couldn't create Script Control. $!\n"; 

$sc->{Language} = "VBScript";

my $tli = $sc->Eval('CreateObject("TLI.TypeLibInfo")');
$tli->{ContainingFile} = $dll;

print join("\n", $tli->{Name},
                 $tli->{GUID},
                 $tli->{MajorVersion},
                 $tli->{MinorVersion}, "");


# Copyright 2007 Aryeh Leib Taurog
# 
# This is free software.  It is available under the same license as Perl.
# 
# This software is provided AS IS with no warranty as to its usability or 
# fitness for any purpose. I disclaim all responsibility for any damage 
# whatsoever resulting from the download or use of this software.

